## qubes-utils 4.1.6%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.6+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 01 Apr 2020 05:58:21 +0200

## qubes-utils 4.1.6%2Bdeb11u1

=== Makefile ===
ifeq ($(shell uname -m),x86_64)
LIBDIR ?= /usr/lib64
else
LIBDIR ?= /usr/lib
endif
SCRIPTSDIR ?= /usr/lib/qubes
SYSLIBDIR ?= /lib
INCLUDEDIR ?= /usr/include

export LIBDIR SCRIPTSDIR SYSLIBDIR INCLUDEDIR

help:
	echo "Use rpmbuild to compile this pacakge"
	exit 0


rpms:
	rpmbuild --define "_rpmdir rpm/" --define "_builddir ." -bb rpm_spec/qubes-utils.spec
all:
	$(MAKE) -C qrexec-lib all
	$(MAKE) -C qmemman all
	$(MAKE) -C imgconverter all

install:
	$(MAKE) -C udev install
	$(MAKE) -C qrexec-lib install
	$(MAKE) -C qmemman install
	$(MAKE) -C imgconverter install

install-fedora-kernel-support:
	$(MAKE) -C dracut install
	$(MAKE) -C kernel-modules install
	$(MAKE) -C grub install-fedora

install-debian-kernel-support:
	$(MAKE) -C initramfs-tools install
	$(MAKE) -C dracut install
	$(MAKE) -C kernel-modules install
	$(MAKE) -C grub install-debian

clean:
	$(MAKE) -C qrexec-lib clean
	$(MAKE) -C qmemman clean
	$(MAKE) -C imgconverter clean

=== debian/changelog ===
qubes-utils (4.1.6+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 01 Apr 2020 05:58:21 +0200

## qubes-utils 4.1.7%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.1.7+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 01 May 2020 01:52:37 +0200

qubes-utils (4.1.7) unstable; urgency=medium

  * makefile: specify PYTHON at build stage too
  * qrexec-lib/unpack: option to wait for free disk space
  * debian: bump libqubes-rpc-filecopy2 required version

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 01 May 2020 01:52:37 +0200

## qubes-utils 4.1.7%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.7+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 01 May 2020 01:52:37 +0200

## qubes-utils 4.1.7%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.7+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 01 May 2020 01:52:37 +0200

## qubes-utils 4.1.8%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.1.8+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 19 Jun 2020 16:41:50 +0200

qubes-utils (4.1.8) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * debian: drop python2 from dependencies

  [ Rusty Bird ]
  * imgconverter: make output reproducible by omitting timestamps

  [ null pointer exception ]
  * Fix typo

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 19 Jun 2020 16:41:50 +0200

## qubes-utils 4.1.8%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.8+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 19 Jun 2020 16:41:50 +0200

## qubes-utils 4.1.8%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.8+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 19 Jun 2020 16:41:50 +0200

=== debian/control ===
Source: qubes-utils
Section: admin
Priority: extra
Maintainer: Davíð Steinn Geirsson <david@dsg.is>
Build-Depends:
 libxen-dev,
 pkg-config,
 debhelper (>= 9.0.0),
 dh-systemd,
 python3-setuptools,
Standards-Version: 3.9.3
Homepage: http://www.qubes-os.org
Vcs-Git: http://dsg.is/qubes/qubes-linux-utils.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/qubes-linux-utils.git;a=summary

Package: qubes-utils
Architecture: any
Depends: lsb-base, python3-pil, python3-numpy, ${shlibs:Depends}, ${misc:Depends}
Conflicts: qubes-linux-utils
Breaks: qubes-core-agent (<< 3.1.4)
Recommends: python3
Description: Qubes Linux utilities
 This package includes the basic qubes utilities necessary for domU.

Package: qubes-kernel-vm-support
Architecture: any
Depends:
 busybox,
 initramfs-tools | dracut,
 grub2-common,
 ${misc:Depends}
Description: Qubes VM kernel and initramfs modules
 This package contains:
 1. mkinitramfs module required to setup Qubes VM root filesystem. This package
 is needed in VM only when the VM uses its own kernel (via pvgrub or so).
 Otherwise initrd is provided by dom0.

Package: libqubes-rpc-filecopy2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: qubes-utils (<< 3.1.4)
Replaces: qubes-utils (<< 3.1.4)
Description: Qubes file copy protocol library
 This library can be used for both sending files using qfile protocol and for
 receiving them.

Package: libqubes-rpc-filecopy-dev
Architecture: any
Section: libdevel
Depends: libqubes-rpc-filecopy2 (= ${binary:Version}), ${misc:Depends}
Breaks: qubes-utils (<< 3.1.4)
Replaces: qubes-utils (<< 3.1.4)
Description: Development headers for libqrexec-utils
 This package contains files required to compile Qubes file copy related
 utilities like qfile-agent.

## qubes-utils 4.1.9%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.1.9+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Sat, 20 Jun 2020 15:14:12 +0200

qubes-utils (4.1.9) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * debian: split python qubesimgconverter
  * debian: add python3-cairo dependency

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 20 Jun 2020 15:14:12 +0200

## qubes-utils 4.1.9%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.9+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sat, 20 Jun 2020 15:14:12 +0200

## qubes-utils 4.1.9%2Bdeb11u1

=== initramfs-tools/Makefile ===
install:
	install -D local-top/qubes_cow_setup.sh \
		$(DESTDIR)/usr/share/initramfs-tools/scripts/local-top/qubes_cow_setup
	install -D local-top/scrub_pages.sh \
		$(DESTDIR)/usr/share/initramfs-tools/scripts/local-top/scrub_pages
	install -D qubes_vm \
		$(DESTDIR)/usr/share/initramfs-tools/hooks/qubes_vm

=== debian/changelog ===
qubes-utils (4.1.9+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 20 Jun 2020 15:14:12 +0200

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 Package: qubes-utils
 Architecture: any
-Depends: lsb-base, python3-pil, python3-numpy, ${shlibs:Depends}, ${misc:Depends}
+Depends: lsb-base, ${shlibs:Depends}, ${misc:Depends}
 Conflicts: qubes-linux-utils
 Breaks: qubes-core-agent (<< 3.1.4)
 Recommends: python3
@@ -53,3 +53,9 @@
 Description: Development headers for libqrexec-utils
  This package contains files required to compile Qubes file copy related
  utilities like qfile-agent.
+
+Package: python3-qubesimgconverter
+Architecture: any
+Depends: python3-cairo, python3-pil, python3-numpy, ${misc:Depends}
+Description: Python package qubesimgconverter
+ Python package qubesimgconverter

## qubes-utils 4.1.10%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.1.10+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Mon, 29 Jun 2020 06:22:44 +0200

qubes-utils (4.1.10) unstable; urgency=medium

  * debian: adjust dependencies for split python3-qubesimgconverter

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 Jun 2020 06:22:44 +0200

## qubes-utils 4.1.10%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.10+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Mon, 29 Jun 2020 06:22:44 +0200

## qubes-utils 4.1.10%2Bdeb11u1

=== udev/Makefile ===
all:

install:
	mkdir -p $(DESTDIR)$(SYSLIBDIR)/udev/rules.d
	cp udev-qubes-block.rules $(DESTDIR)$(SYSLIBDIR)/udev/rules.d/99-qubes-block.rules
	cp udev-qubes-usb.rules $(DESTDIR)$(SYSLIBDIR)/udev/rules.d/99-qubes-usb.rules
	cp udev-qubes-misc.rules $(DESTDIR)$(SYSLIBDIR)/udev/rules.d/99-qubes-misc.rules
	cp udev-qubes-dmroot.rules $(DESTDIR)$(SYSLIBDIR)/udev/rules.d/90-qubes-dmroot.rules

	mkdir -p $(DESTDIR)$(SCRIPTSDIR)
	cp udev-block-add-change $(DESTDIR)$(SCRIPTSDIR)
	cp udev-block-remove $(DESTDIR)$(SCRIPTSDIR)
	cp udev-usb-add-change $(DESTDIR)$(SCRIPTSDIR)
	cp udev-usb-remove $(DESTDIR)$(SCRIPTSDIR)

=== debian/changelog ===
qubes-utils (4.1.10+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 29 Jun 2020 06:22:44 +0200

## qubes-utils 4.1.11%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.1.11+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Wed, 12 Aug 2020 03:13:57 +0200

qubes-utils (4.1.11) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Update travis

  [ Marek Marczykowski-Górecki ]
  * travis: restore 'language: python'

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 12 Aug 2020 03:13:57 +0200

## qubes-utils 4.1.11%2Bdeb10u1

=== kernel-modules/Makefile ===
install:	install-scripts

install-scripts:
	install -d $(DESTDIR)/usr/sbin
	install qubes-prepare-vm-kernel $(DESTDIR)/usr/sbin

=== debian/changelog ===
qubes-utils (4.1.11+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 12 Aug 2020 03:13:57 +0200

## qubes-utils 4.1.11%2Bdeb11u1

=== Makefile ===
--- 
+++ 
@@ -9,13 +9,6 @@
 
 export LIBDIR SCRIPTSDIR SYSLIBDIR INCLUDEDIR
 
-help:
-	echo "Use rpmbuild to compile this pacakge"
-	exit 0
-
-
-rpms:
-	rpmbuild --define "_rpmdir rpm/" --define "_builddir ." -bb rpm_spec/qubes-utils.spec
 all:
 	$(MAKE) -C qrexec-lib all
 	$(MAKE) -C qmemman all
@@ -42,3 +35,5 @@
 	$(MAKE) -C qrexec-lib clean
 	$(MAKE) -C qmemman clean
 	$(MAKE) -C imgconverter clean
+	rm -rf debian/changelog.*
+	rm -rf pkgs

=== debian/changelog ===
qubes-utils (4.1.11+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 12 Aug 2020 03:13:57 +0200

## qubes-utils 4.1.12%2Bdeb9u1

=== debian/changelog ===
qubes-utils (4.1.12+deb9u1) stretch; urgency=medium

  * Build for stretch

 -- Builder <user@localhost>  Fri, 13 Nov 2020 04:25:11 +0100

qubes-utils (4.1.12) unstable; urgency=medium

  * dracut: remove useless use of basename
  * debian: don't fail package install on missing /var/lib/qubes
  * travis: fix build/install jobs
  * dracut: enable swap as early as possible
  * Set /dev/xen/* permissions early
  * rpm,deb: /lib is a symlink to /usr/lib, move the files appropriately

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 13 Nov 2020 04:25:11 +0100

## qubes-utils 4.1.12%2Bdeb10u1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LIBDIR ?= /usr/lib
 endif
 SCRIPTSDIR ?= /usr/lib/qubes
-SYSLIBDIR ?= /lib
+SYSLIBDIR ?= /usr/lib
 INCLUDEDIR ?= /usr/include
 
 export LIBDIR SCRIPTSDIR SYSLIBDIR INCLUDEDIR

=== debian/changelog ===
qubes-utils (4.1.12+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 13 Nov 2020 04:25:11 +0100

=== debian/control ===
--- 
+++ 
@@ -57,5 +57,7 @@
 Package: python3-qubesimgconverter
 Architecture: any
 Depends: python3-cairo, python3-pil, python3-numpy, ${misc:Depends}
+Breaks: qubes-utils (<< 4.1.9)
+Replaces: qubes-utils (<< 4.1.9)
 Description: Python package qubesimgconverter
  Python package qubesimgconverter

## qubes-utils 4.1.12%2Bdeb11u1

=== ci/requirements.txt ===
Pillow
numpy
asynctest

=== debian/changelog ===
qubes-utils (4.1.12+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 13 Nov 2020 04:25:11 +0100

## qubes-utils 4.1.13%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.13+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Thu, 07 Jan 2021 15:03:46 +0100

qubes-utils (4.1.13) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Add .gitlab-ci.yml

  [ Marek Marczykowski-Górecki ]
  * gitlab-ci: add custom jobs
  * ci: add coverage
  * tests: fix IncompleteReadError exception location

  [ Frédéric Pierret (fepitre) ]
  * debian: update control
  * debian: update compat

  [ Demi Marie Obenour ]
  * Fix some links to more modern versions
  * Validate remote filename before displaying it
  * Meminfo writer comes before user logins
  * Modernize systemd unit files

  [ Marek Marczykowski-Górecki ]
  * archlinux: add makedepends on qubes-vm-xen

  [ Demi Marie Obenour ]
  * Mass replace: ‘/var/run’ → ‘/run’
  * Fix CI

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 07 Jan 2021 15:03:46 +0100

## qubes-utils 4.1.13%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.13+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 07 Jan 2021 15:03:46 +0100

## qubes-utils 4.1.14%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.14+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Thu, 13 May 2021 06:26:01 +0200

qubes-utils (4.1.14) wheezy; urgency=medium

  [ Shawn Anastasio ]
  * Makefile: remove broken 32-bit host check

  [ Frédéric Pierret (fepitre) ]
  * kernel-vm-support: add make as BR
  * kernel-vm-support: fix spec indentation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 13 May 2021 06:26:01 +0200

## qubes-utils 4.1.14%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.14+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Thu, 13 May 2021 06:26:01 +0200

## qubes-utils 4.1.15%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.15+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Fri, 18 Jun 2021 04:09:49 +0200

qubes-utils (4.1.15) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Use a flexable array member instead of an empty array
  * Add do_unpack_ext to limit what can be unpacked
  * Force exporting of loop devices

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 18 Jun 2021 04:09:49 +0200

## qubes-utils 4.1.15%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.15+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 18 Jun 2021 04:09:49 +0200

## qubes-utils 4.1.16%2Bdeb10u1

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,4 @@
-ifeq ($(shell uname -m),x86_64)
 LIBDIR ?= /usr/lib64
-else
-LIBDIR ?= /usr/lib
-endif
 SCRIPTSDIR ?= /usr/lib/qubes
 SYSLIBDIR ?= /usr/lib
 INCLUDEDIR ?= /usr/include

=== ci/requirements.txt ===
Pillow
numpy
asynctest
coverage
codecov

=== qrexec-lib/Makefile ===
CC=gcc
CFLAGS+=-I. -g -O2 -Wall -Wextra -Werror -pie -fPIC
SO_VER=2
LDFLAGS+=-shared

all: libqubes-rpc-filecopy.so.$(SO_VER)
libqubes-rpc-filecopy.so.$(SO_VER): ioall.o copy-file.o crc32.o unpack.o pack.o
	$(CC) $(LDFLAGS) -Wl,-soname,$@ -o $@ $^

%.a:
	$(AR) rcs $@ $^
clean:
	rm -f *.o *~ *.a *.so.*

install:
	mkdir -p $(DESTDIR)$(LIBDIR)
	cp libqubes-rpc-filecopy.so.$(SO_VER) $(DESTDIR)$(LIBDIR)
	ln -s libqubes-rpc-filecopy.so.$(SO_VER) $(DESTDIR)$(LIBDIR)/libqubes-rpc-filecopy.so
	mkdir -p $(DESTDIR)$(INCLUDEDIR)
	cp libqubes-rpc-filecopy.h $(DESTDIR)$(INCLUDEDIR)

=== debian/changelog ===
qubes-utils (4.1.16+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Wed, 20 Oct 2021 01:31:11 +0200

qubes-utils (4.1.16) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * spec: allow matching python3.10 in %files

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 20 Oct 2021 01:31:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,14 @@
 Priority: extra
 Maintainer: Davíð Steinn Geirsson <david@dsg.is>
 Build-Depends:
+ debhelper,
  libxen-dev,
  pkg-config,
- debhelper (>= 9.0.0),
- dh-systemd,
  python3-setuptools,
-Standards-Version: 3.9.3
-Homepage: http://www.qubes-os.org
-Vcs-Git: http://dsg.is/qubes/qubes-linux-utils.git
-#Vcs-Browser: http://git.debian.org/?p=collab-maint/qubes-linux-utils.git;a=summary
+Standards-Version: 4.4.0.1
+Homepage: https://www.qubes-os.org
+Vcs-Git: https://github.com/QubesOS/qubes-linux-utils.git
+Vcs-Browser: https://github.com/QubesOS/qubes-linux-utils
 
 Package: qubes-utils
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DESTDIR=$(shell pwd)/debian/tmp

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=systemd

override_dh_auto_build:
	make all LIBDIR=/usr/lib DEBIANBUILD=1

override_dh_auto_install:
	make install LIBDIR=/usr/lib DEBIANBUILD=1 PYTHON_PREFIX_ARG=--install-layout=deb
	make install-debian-kernel-support LIBDIR=/usr/lib DEBIANBUILD=1 
	# dom0-only file
	rm -f $(DESTDIR)/usr/sbin/qubes-prepare-vm-kernel

override_dh_install:
	dh_install --fail-missing

## qubes-utils 4.1.16%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.16+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 20 Oct 2021 01:31:11 +0200

## qubes-utils 4.1.16%2Bdeb12u1

=== debian/changelog ===
qubes-utils (4.1.16+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 20 Oct 2021 01:31:11 +0200

## qubes-utils 4.1.17%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.17+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 09 Jan 2023 13:17:35 +0100

qubes-utils (4.1.17) unstable; urgency=medium

  [ Gaurav ]
  * Make use of static variables

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI

  [ Rusty Bird ]
  * initramfs: remove unused variable
  * initramfs: sector-size agnostic partitioning of volatile volume

  [ Demi Marie Obenour ]
  * Fix sed regex for mkinitcpio.conf
  * Fix up /etc/default/grub in postinstall script
  * Add comments to /etc/default/grub
  * Ensure that /etc/default/grub is not empty
  * Install and source grub.qubes-kernel-vm-support
  * Add spaces after function names

  [ Marek Marczykowski-Górecki ]
  * debian: do not install qubes-prepare-vm-kernel
  * Build and install vm-modules-genfs
  * qubes-prepare-vm-kernel: sync with pre-built package features
  * qubes-prepare-vm-kernel: make initramfs smaller
  * rpm: provide virtual qubes-prepare-vm-kernel capability

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 09 Jan 2023 13:17:35 +0100

## qubes-utils 4.1.17%2Bdeb12u1

=== debian/changelog ===
qubes-utils (4.1.17+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 09 Jan 2023 13:17:35 +0100

## qubes-utils 4.1.18%2Bdeb10u1

=== debian/changelog ===
qubes-utils (4.1.18+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sun, 15 Jan 2023 03:44:11 +0100

qubes-utils (4.1.18) unstable; urgency=medium

  * rpm: add e2fsprogs as qubes-prepare-vm-kernel dependency
  * dracut: drop legacy xenstore-read qubes-vm-type
  * dracut: detect VM based on file presence, no runtime query to
    qubesdb

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 15 Jan 2023 03:44:11 +0100

## qubes-utils 4.1.18%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.18+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 15 Jan 2023 03:44:11 +0100

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,6 @@
 override_dh_auto_install:
 	make install LIBDIR=/usr/lib DEBIANBUILD=1 PYTHON_PREFIX_ARG=--install-layout=deb
 	make install-debian-kernel-support LIBDIR=/usr/lib DEBIANBUILD=1 
-	# dom0-only file
-	rm -f $(DESTDIR)/usr/sbin/qubes-prepare-vm-kernel
 
 override_dh_install:
 	dh_install --fail-missing

## qubes-utils 4.1.18%2Bdeb12u1

=== debian/changelog ===
qubes-utils (4.1.18+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sun, 15 Jan 2023 03:44:11 +0100

## qubes-utils 4.1.19%2Bdeb10u1

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,6 @@
 install-debian-kernel-support:
 	$(MAKE) -C initramfs-tools install
 	$(MAKE) -C dracut install
-	$(MAKE) -C kernel-modules install
 	$(MAKE) -C grub install-debian
 
 clean:

=== debian/changelog ===
qubes-utils (4.1.19+deb10u1) buster; urgency=medium

  * Build for buster

 -- Builder <user@localhost>  Sun, 22 Jan 2023 13:56:01 +0100

qubes-utils (4.1.19) unstable; urgency=medium

  * qubes-prepare-vm-kernel: make resize2fs work even if system time is
    off

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 22 Jan 2023 13:56:01 +0100

## qubes-utils 4.1.19%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.1.19+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 22 Jan 2023 13:56:01 +0100

## qubes-utils 4.2.1%2Bdeb12u1

=== debian/changelog ===
qubes-utils (4.2.1+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Thu, 08 Dec 2022 15:20:17 +0100

qubes-utils (4.2.1) unstable; urgency=medium

  [ Rusty Bird ]
  * initramfs: remove unused variable
  * initramfs: sector-size agnostic partitioning of volatile volume

  [ Demi Marie Obenour ]
  * Fix sed regex for mkinitcpio.conf
  * Fix up /etc/default/grub in postinstall script
  * Add comments to /etc/default/grub
  * Ensure that /etc/default/grub is not empty
  * Install and source grub.qubes-kernel-vm-support
  * Add spaces after function names

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 08 Dec 2022 15:20:17 +0100

qubes-utils (4.2.0) unstable; urgency=medium

  [ Frédéric Pierret (fepitre) ]
  * Drop Travis CI
  * Add Qubes Builder v2 integration
  * .qubesbuilder: replace 'spec' by 'build'

  [ Gaurav ]
  * Make use of static variables

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 11 Oct 2022 23:22:06 +0200

## qubes-utils 4.2.2%2Bdeb11u1

=== Makefile ===
--- 
+++ 
@@ -4,17 +4,24 @@
 INCLUDEDIR ?= /usr/include
 
 export LIBDIR SCRIPTSDIR SYSLIBDIR INCLUDEDIR
+.PHONY: all selinux install install-selinux install-fedora-kernel-support install-debian-kernel-support clean
 
 all:
 	$(MAKE) -C qrexec-lib all
 	$(MAKE) -C qmemman all
 	$(MAKE) -C imgconverter all
+selinux:
+	$(MAKE) -f /usr/share/selinux/devel/Makefile -C selinux qubes-meminfo-writer.pp
 
 install:
 	$(MAKE) -C udev install
 	$(MAKE) -C qrexec-lib install
 	$(MAKE) -C qmemman install
 	$(MAKE) -C imgconverter install
+
+install-selinux:
+	install -m 0644 -D -t $(DESTDIR)/usr/share/selinux/packages selinux/qubes-meminfo-writer.pp
+	install -m 0644 -D selinux/qubes-meminfo-writer.if $(DESTDIR)/usr/share/selinux/devel/include/contrib/ipp-qubes-meminfo-writer.if
 
 install-fedora-kernel-support:
 	$(MAKE) -C dracut install
@@ -24,11 +31,13 @@
 install-debian-kernel-support:
 	$(MAKE) -C initramfs-tools install
 	$(MAKE) -C dracut install
+	$(MAKE) -C kernel-modules install
 	$(MAKE) -C grub install-debian
 
 clean:
 	$(MAKE) -C qrexec-lib clean
 	$(MAKE) -C qmemman clean
 	$(MAKE) -C imgconverter clean
+	rm -rf selinux/*.pp selinux/tmp/
 	rm -rf debian/changelog.*
 	rm -rf pkgs

=== debian/changelog ===
qubes-utils (4.2.2+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 01 Jan 2023 15:15:32 +0100

qubes-utils (4.2.2) unstable; urgency=medium

  [ Mateusz Piórkowski ]
  * Replace ImageMagick with GraphicsMagick

  [ Demi Marie Obenour ]
  * SELinux policy for meminfo-writer

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 01 Jan 2023 15:15:32 +0100

## qubes-utils 4.2.3%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.2.3+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 06 Jan 2023 15:40:55 +0100

qubes-utils (4.2.3) unstable; urgency=medium

  * debian: do not install qubes-prepare-vm-kernel
  * Build and install vm-modules-genfs
  * qubes-prepare-vm-kernel: sync with pre-built package features
  * qubes-prepare-vm-kernel: make initramfs smaller
  * rpm: provide virtual qubes-prepare-vm-kernel capability

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 06 Jan 2023 15:40:55 +0100

## qubes-utils 4.2.3%2Bdeb12u1

=== debian/changelog ===
qubes-utils (4.2.3+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 06 Jan 2023 15:40:55 +0100

## qubes-utils 4.2.4%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.2.4+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sun, 15 Jan 2023 03:43:25 +0100

qubes-utils (4.2.4) unstable; urgency=medium

  * rpm: add e2fsprogs as qubes-prepare-vm-kernel dependency
  * dracut: drop legacy xenstore-read qubes-vm-type
  * dracut: detect VM based on file presence, no runtime query to
    qubesdb

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 15 Jan 2023 03:43:25 +0100

## qubes-utils 4.2.5%2Bdeb11u1

=== Makefile ===
--- 
+++ 
@@ -31,7 +31,6 @@
 install-debian-kernel-support:
 	$(MAKE) -C initramfs-tools install
 	$(MAKE) -C dracut install
-	$(MAKE) -C kernel-modules install
 	$(MAKE) -C grub install-debian
 
 clean:

=== debian/changelog ===
qubes-utils (4.2.5+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Fri, 27 Jan 2023 22:39:09 +0100

qubes-utils (4.2.5) unstable; urgency=medium

  * qubes-prepare-vm-kernel: make resize2fs work even if system time is
    off

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 27 Jan 2023 22:39:09 +0100

## qubes-utils 4.2.5%2Bdeb12u1

=== debian/changelog ===
qubes-utils (4.2.5+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 27 Jan 2023 22:39:09 +0100

## qubes-utils 4.2.7%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.2.7+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Wed, 26 Apr 2023 03:18:41 +0200

qubes-utils (4.2.7) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * Switch to new codecov uploader
  * ci: make git happy about source clone owned by a different user

  [ Demi Marie Obenour ]
  * Fix multiple bugs in block script
  * qubes-block: Only destroy loop devices qubes-block created

  [ Frédéric Pierret (fepitre) ]
  * Rework Archlinux packaging
  * archlinux: support for new packaging in legacy builder

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 26 Apr 2023 03:18:41 +0200

qubes-utils (4.2.6) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Sanitize paths in qfile-unpacker
  * Initial work on safe open
  * Allow UTF-8 characters outside of ASCII
  * Add a blocklist of bad characters
  * Simplify rejection of invalid codepoints
  * Use a generated blocklist
  * Use FD-based versions chmod and utime
  * Remove useless check
  * Use simpler check to allow spaces in file names
  * Do not allow UTIME_OMIT and UTIME_NOW
  * Make code_point computations consistent
  * Clarify differences between code and RFC3629
  * Use GCC case ranges more
  * Handle too-large code points in generated code
  * Use "surrogates" instead of "category Cs"
  * gentlb.py: Flush stdout before exiting
  * Rename open_safe to opendir_safe and document it
  * Avoid using a mutable static variable
  * Avoid closing AT_FDCWD
  * Avoid unit testing strchr()
  * Forbid trailing slashes in paths
  * Remove redundant code in pathname handling
  * Drop a call to strlen()
  * Simplify loop
  * Reject all unassigned and invalid Unicode codepoints
  * Misc cleanup
  * Add fast path for ASCII
  * Reject bidirectional text
  * Only allow a subset of scripts
  * Do not allow non-ASCII symbols in filenames
  * Only allow scripts recommended for identifiers
  * Create libqubes-pure: a library of Qubes-specific code that does no
    I/O
  * Fix CentOS 8 build
  * Add some tests
  * Generate allowlist at compile-time
  * Use uint8_t* with U8_APPEND macros
  * fix signs
  * Link testsuite to ICU
  * C block script implementation
  * test
  * more logs
  * more logs
  * Actually open files to be written for writing :)
  * Do not rely on autoclear
  * Working block script
  * Allow xenstore watch
  * Use new "opened" Xenstore key to indicate device open
  * Use "opened" Xenstore key instead of magic file in /etc
  * Use different physical-device format for autoclear-enabled kernels
  * Always use permissive mode
  * Retry LOOP_CONFIGURE as well as open
  * Clean up some error checks
  * Work around bug in LOOP_CTL_GET_FREE
  * Serialize loop device opening
  * deduplicate loop opening code
  * Add some static assertions
  * Avoid setting a size limit for the loop device
  * Always write "diskseq" entry
  * Respond to suggestions from code review
  * Write /dev/loopN to physical-device-path

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 10 Apr 2023 02:23:11 +0200

## qubes-utils 4.2.7%2Bdeb12u1

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 	$(MAKE) -C qrexec-lib all
 	$(MAKE) -C qmemman all
 	$(MAKE) -C imgconverter all
+	$(MAKE) -C not-script all
 selinux:
 	$(MAKE) -f /usr/share/selinux/devel/Makefile -C selinux qubes-meminfo-writer.pp
 
@@ -18,6 +19,7 @@
 	$(MAKE) -C qrexec-lib install
 	$(MAKE) -C qmemman install
 	$(MAKE) -C imgconverter install
+	$(MAKE) -C not-script install
 
 install-selinux:
 	install -m 0644 -D -t $(DESTDIR)/usr/share/selinux/packages selinux/qubes-meminfo-writer.pp
@@ -37,6 +39,7 @@
 	$(MAKE) -C qrexec-lib clean
 	$(MAKE) -C qmemman clean
 	$(MAKE) -C imgconverter clean
+	$(MAKE) -C not-script clean
 	rm -rf selinux/*.pp selinux/tmp/
 	rm -rf debian/changelog.*
 	rm -rf pkgs

=== qmemman/Makefile ===
CC=gcc
CFLAGS+=-Wall -Wextra -Werror -g -O3
all:	meminfo-writer
SBINDIR?=/usr/sbin

_XENSTORE_H=$(shell ls /usr/include/xenstore.h)
ifneq "$(_XENSTORE_H)" ""
	CFLAGS+= -DUSE_XENSTORE_H
endif

meminfo-writer: meminfo-writer.o
	$(CC) $(LDFLAGS) -g -o meminfo-writer meminfo-writer.o -lxenstore
install:
	install -D meminfo-writer $(DESTDIR)/$(SBINDIR)/meminfo-writer
ifeq (1,${DEBIANBUILD})
	install -d $(DESTDIR)/lib/systemd/system/
	install -m 0644 qubes-meminfo-writer.service $(DESTDIR)/lib/systemd/system/
else
	install -d $(DESTDIR)/usr/lib/systemd/system/
	install -m 0644 qubes-meminfo-writer*service $(DESTDIR)/usr/lib/systemd/system/
endif
clean:
	rm -f meminfo-writer xenstore-watch *.o

=== qrexec-lib/Makefile ===
CC=gcc
CFLAGS := $(CFLAGS) -I. -g3 -O2 -Wall -Wextra -Werror -pie -fPIC
SO_VER=2
LDFLAGS+=-Wl,--no-undefined,--as-needed
.PHONY: all clean install check
objs := ioall.o copy-file.o crc32.o unpack.o pack.o

pure_lib := libqubes-pure.so
pure_sover := 0
pure_objs := unicode.o

all: libqubes-rpc-filecopy.so.$(SO_VER) $(pure_lib).$(pure_sover)
libqubes-rpc-filecopy.so.$(SO_VER): $(objs) ./$(pure_lib).$(pure_sover)
	$(CC) -shared $(LDFLAGS) -Wl,-soname,$@ -o $@ $^
validator-test: validator-test.o ./$(pure_lib).$(pure_sover)
	libs=$$(pkg-config --libs icu-uc) && $(CC) $(LDFLAGS) -o $@ $^ $$libs
$(pure_objs): CFLAGS += -fvisibility=hidden -DQUBES_PURE_IMPLEMENTATION
validator-test: CFLAGS += -UNDEBUG
check: validator-test
	LD_LIBRARY_PATH=. ./validator-test

$(pure_lib).$(pure_sover): $(pure_objs)
	$(CC) -shared $(LDFLAGS) -Wl,-Bsymbolic,-soname,$@ -o $@ $^
$(pure_lib):
	ln -s $(pure_lib).$(pure_sover) $(pure_lib)
unicode-generator: unicode-generator.o
	libs=$$(pkg-config --libs icu-uc) && $(CC) $(LDFLAGS) -o $@ $^ $$libs
%.o: %.c Makefile
	$(CC) $(CFLAGS) -MD -MP -MF $@.dep -c -o $@ $<

unicode.o: unicode-allowlist-table.c
unicode.o: CFLAGS += $(shell pkg-config --cflags icu-uc)
ifeq ($(NO_REBUILD_TABLE),)
unicode-allowlist-table.c: unicode-generator
	./unicode-generator > $@
else ifneq ($(NO_REBUILD_TABLE),1)
$(error NO_REBUILD_TABLE should be empty or 1)
endif
check-table-up-to-date: unicode-generator unicode-allowlist-table.c
ifneq ($(NO_REBUILD_TABLE),1)
	$(error check-table-up-to-date without NO_REBUILD_TABLE=1 makes no sense)
endif
	/bin/bash -euc 'set -o pipefail; ./unicode-generator | diff -u ./unicode-allowlist-table.c -'
.PHONY: check-table-up-to-date

unicode-generator.o: unicode-class-table.c
unicode-class-table.c: gentbl.py Makefile
	python3 -- $< > $@

%.a: $(objs)
	$(AR) rcs $@ $^
clean:
	rm -f ./*.o ./*~ ./*.a ./*.so.* ./*.dep unicode-class-table.c

install:
	mkdir -p $(DESTDIR)$(LIBDIR)
	install libqubes-rpc-filecopy.so.$(SO_VER) $(DESTDIR)$(LIBDIR)
	ln -sf libqubes-rpc-filecopy.so.$(SO_VER) $(DESTDIR)$(LIBDIR)/libqubes-rpc-filecopy.so
	install $(pure_lib).$(pure_sover) $(DESTDIR)$(LIBDIR)
	ln -sf $(pure_lib).$(pure_sover) $(DESTDIR)$(LIBDIR)/$(pure_lib)
	mkdir -p $(DESTDIR)$(INCLUDEDIR)/qubes
	cp libqubes-rpc-filecopy.h $(DESTDIR)$(INCLUDEDIR)
	cp pure.h $(DESTDIR)$(INCLUDEDIR)/qubes
-include ./*.o.dep

=== debian/changelog ===
qubes-utils (4.2.7+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 26 Apr 2023 03:18:41 +0200

## qubes-utils 4.2.7%2Bjammy1

=== debian/changelog ===
qubes-utils (4.2.7+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Wed, 26 Apr 2023 03:18:41 +0200

## qubes-utils 4.2.8%2Bdeb11u1

=== kernel-modules/Makefile ===
MAKEFLAGS ::= -rR
CFLAGS ::= $(shell pkg-config --cflags --libs ext2fs com_err) \
    -fstack-protector-all -O2 -D_FORITFY_SOURCE=2 -fwrapv \
    -fno-delete-null-pointer-checks -fno-strict-aliasing -Wall -Wextra \
    -Werror=format-security -pedantic-errors -Wformat=2 -Wmaybe-uninitialized \
    -Wshadow -g3

all: genfs

genfs: genfs.c
	gcc $(CFLAGS) genfs.c -o $@

install: install-scripts install-genfs

install-scripts:
	install -d $(DESTDIR)/usr/sbin
	install qubes-prepare-vm-kernel $(DESTDIR)/usr/sbin

install-genfs:
	install -d $(DESTDIR)/usr/lib/qubes
	install genfs $(DESTDIR)/usr/lib/qubes/vm-modules-genfs

.PHONY: clean
clean:
	rm -f genfs

=== debian/changelog ===
qubes-utils (4.2.8+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Sat, 13 May 2023 01:11:13 +0200

qubes-utils (4.2.8) unstable; urgency=medium

  [ Rusty Bird ]
  * qubes-block: force logical block size 512 for loop device

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 13 May 2023 01:11:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
  libxen-dev,
  pkg-config,
  python3-setuptools,
+ libicu-dev
 Standards-Version: 4.4.0.1
 Homepage: https://www.qubes-os.org
 Vcs-Git: https://github.com/QubesOS/qubes-linux-utils.git

## qubes-utils 4.2.8%2Bdeb12u1

=== debian/changelog ===
qubes-utils (4.2.8+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sat, 13 May 2023 01:11:13 +0200

## qubes-utils 4.2.9%2Bdeb12u1

=== debian/changelog ===
qubes-utils (4.2.9+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 29 May 2023 19:22:44 +0200

qubes-utils (4.2.9) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Allow meminfo-writer to create and use AF_UNIX stream sockets

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 29 May 2023 19:22:44 +0200

## qubes-utils 4.2.9%2Bjammy1

=== debian/changelog ===
qubes-utils (4.2.9+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 29 May 2023 19:22:44 +0200

## qubes-utils 4.2.10%2Bdeb12u1

=== debian/changelog ===
qubes-utils (4.2.10+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Fri, 30 Jun 2023 17:02:09 +0200

qubes-utils (4.2.10) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * initramfs: Handle the case where device-mapper is a module
  * Update the character allowlist

  [ Marek Marczykowski-Górecki ]
  * debian: reduce initramfs size

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Fri, 30 Jun 2023 17:02:09 +0200

## qubes-utils 4.2.11%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.2.11+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Tue, 04 Jul 2023 03:22:14 +0200

qubes-utils (4.2.11) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Add missing entries to .gitignore
  * libqubes-pure: Add function for qube name validation

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Tue, 04 Jul 2023 03:22:14 +0200

## qubes-utils 4.2.11%2Bjammy1

=== ci/requirements.txt ===
Pillow
numpy
asynctest
coverage

=== not-script/Makefile ===
CC=gcc
CFLAGS := $(CFLAGS) -g3 -O2 -Wall -Wextra -Werror -fPIE -D_FORTIFY_SOURCE=2 -D_GNU_SOURCE -Wmaybe-uninitialized
.PHONY: clean install all
all: not-script

%: %.c Makefile
	 s=$$(pkg-config --cflags --libs xenstore) && $(CC) $(CFLAGS) -MD -MP -MF $@.dep -o $@ $< $$s

clean:
	rm -f ./*.o ./*~ ./*.a ./*.so.* ./*.dep not-script

install:
	install -d $(DESTDIR)/etc/xen/scripts
	install not-script $(DESTDIR)/etc/xen/scripts/qubes-block

-include ./*.o.dep

=== qrexec-lib/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 pure_lib := libqubes-pure.so
 pure_sover := 0
-pure_objs := unicode.o
+pure_objs := unicode.o qube-name.o
 
 all: libqubes-rpc-filecopy.so.$(SO_VER) $(pure_lib).$(pure_sover)
 libqubes-rpc-filecopy.so.$(SO_VER): $(objs) ./$(pure_lib).$(pure_sover)

=== debian/changelog ===
qubes-utils (4.2.11+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Tue, 04 Jul 2023 03:22:14 +0200

## qubes-utils 4.2.12%2Bjammy1

=== debian/changelog ===
qubes-utils (4.2.12+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sun, 20 Aug 2023 03:11:55 +0200

qubes-utils (4.2.12) unstable; urgency=medium

  * debian: split libqubes-pure into separate package

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 20 Aug 2023 03:11:55 +0200

## qubes-utils 4.2.13%2Bdeb12u1

=== qrexec-lib/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CC=gcc
 CFLAGS := $(CFLAGS) -I. -g3 -O2 -Wall -Wextra -Werror -pie -fPIC
 SO_VER=2
-LDFLAGS+=-Wl,--no-undefined,--as-needed
+LDFLAGS+=-Wl,--no-undefined,--as-needed -L .
 .PHONY: all clean install check
 objs := ioall.o copy-file.o crc32.o unpack.o pack.o
 
@@ -13,7 +13,7 @@
 libqubes-rpc-filecopy.so.$(SO_VER): $(objs) ./$(pure_lib).$(pure_sover)
 	$(CC) -shared $(LDFLAGS) -Wl,-soname,$@ -o $@ $^
 validator-test: validator-test.o ./$(pure_lib).$(pure_sover)
-	libs=$$(pkg-config --libs icu-uc) && $(CC) $(LDFLAGS) -o $@ $^ $$libs
+	libs=$$(pkg-config --libs icu-uc) && $(CC) '-Wl,-rpath,$$ORIGIN' $(LDFLAGS) -o $@ $^ $$libs
 $(pure_objs): CFLAGS += -fvisibility=hidden -DQUBES_PURE_IMPLEMENTATION
 validator-test: CFLAGS += -UNDEBUG
 check: validator-test

=== debian/changelog ===
qubes-utils (4.2.13+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Sun, 10 Sep 2023 04:22:12 +0200

qubes-utils (4.2.13) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Link against just-built libqubes-pure
  * Stricter symbolic link checks
  * Test rejection of codepoints past 0x10FFFFF
  * Make qubes_pure_string_safe_for_display() usable
  * Drop unmaintained asynctest library

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sun, 10 Sep 2023 04:22:12 +0200

## qubes-utils 4.2.14%2Bjammy1

=== debian/changelog ===
qubes-utils (4.2.14+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Thu, 28 Sep 2023 01:50:12 +0200

qubes-utils (4.2.14) unstable; urgency=medium

  [ Demi Marie Obenour ]
  * Expose code point allowlist checking API

  [ Rusty Bird ]
  * qrexec-lib/unpack: fail on EOF before end of transfer marker

  [ Demi Marie Obenour ]
  * Block Zalgo text

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 28 Sep 2023 01:50:12 +0200

## qubes-utils 4.2.15%2Bdeb11u1

=== debian/changelog ===
qubes-utils (4.2.15+deb11u1) bullseye; urgency=medium

  * Build for bullseye

 -- Builder <user@localhost>  Mon, 04 Dec 2023 02:46:39 +0100

qubes-utils (4.2.15) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * rpm: fix missing directory ownership
  * genfs: fix build/link flags
  * rpm: adjust dependencies for openSUSE

  [ Demi Marie Obenour ]
  * Avoid writing junk into Xenstore

  [ Rusty Bird ]
  * qrexec-lib/pack: don't use curly quotes in error messages
  * qrexec-lib/pack: sanitize straight quotes in remote filenames

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 04 Dec 2023 02:46:39 +0100

## qubes-utils 4.2.15%2Bdeb12u1

=== debian/changelog ===
qubes-utils (4.2.15+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 04 Dec 2023 02:46:39 +0100

## qubes-utils 4.2.15%2Bdeb13u1

=== debian/changelog ===
qubes-utils (4.2.15+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Mon, 04 Dec 2023 02:46:39 +0100

## qubes-utils 4.2.15%2Bjammy1

=== qrexec-lib/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CC=gcc
 CFLAGS := $(CFLAGS) -I. -g3 -O2 -Wall -Wextra -Werror -pie -fPIC
 SO_VER=2
-LDFLAGS+=-Wl,--no-undefined,--as-needed -L .
+LDFLAGS+=-Wl,--no-undefined,--as-needed,-Bsymbolic -L .
 .PHONY: all clean install check
 objs := ioall.o copy-file.o crc32.o unpack.o pack.o
 
@@ -32,7 +32,8 @@
 unicode.o: CFLAGS += $(shell pkg-config --cflags icu-uc)
 ifeq ($(NO_REBUILD_TABLE),)
 unicode-allowlist-table.c: unicode-generator
-	./unicode-generator > $@
+	./unicode-generator > $@.tmp
+	mv -- $@.tmp $@
 else ifneq ($(NO_REBUILD_TABLE),1)
 $(error NO_REBUILD_TABLE should be empty or 1)
 endif
@@ -50,7 +51,7 @@
 %.a: $(objs)
 	$(AR) rcs $@ $^
 clean:
-	rm -f ./*.o ./*~ ./*.a ./*.so.* ./*.dep unicode-class-table.c
+	rm -f ./*.o ./*~ ./*.a ./*.so.* ./*.dep unicode-class-table.c unicode-allowlist-table.c.tmp
 
 install:
 	mkdir -p $(DESTDIR)$(LIBDIR)

=== debian/changelog ===
qubes-utils (4.2.15+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 04 Dec 2023 02:46:39 +0100

=== debian/control ===
--- 
+++ 
@@ -54,6 +54,23 @@
  This package contains files required to compile Qubes file copy related
  utilities like qfile-agent.
 
+Package: libqubes-pure0
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: libqubes-rpc-filecopy2 (<< 4.2.12)
+Replaces: libqubes-rpc-filecopy2 (<< 4.2.12)
+Description: Qubes file copy protocol library
+ Utility library with qubes-specific functions.
+
+Package: libqubes-pure-dev
+Architecture: any
+Section: libdevel
+Depends: libqubes-pure0 (= ${binary:Version}), ${misc:Depends}
+Breaks: libqubes-rpc-filecopy-dev (<< 4.2.12)
+Replaces: libqubes-rpc-filecopy-dev (<< 4.2.12)
+Description: Development headers for libqrexec-utils
+ Utility library with qubes-specific functions - headers
+
 Package: python3-qubesimgconverter
 Architecture: any
 Depends: python3-cairo, python3-pil, python3-numpy, ${misc:Depends}

## qubes-utils 4.2.16%2Bjammy1

=== debian/changelog ===
qubes-utils (4.2.16+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Thu, 02 May 2024 02:41:30 +0200

qubes-utils (4.2.16) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: collect test coverage from qrexec-lib too
  * Fix imgconverter tests
  * Switch to sequoia for codecov signature check

  [ Demi Marie Obenour ]
  * Math and currency symbols are safe for display

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Thu, 02 May 2024 02:41:30 +0200

## qubes-utils 4.2.17%2Bjammy1

=== debian/changelog ===
qubes-utils (4.2.17+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Sat, 22 Jun 2024 11:53:42 +0200

qubes-utils (4.2.17) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * ci: collect test coverage from qrexec-lib too
  * Fix imgconverter tests
  * Switch to sequoia for codecov signature check

  [ Demi Marie Obenour ]
  * Math and currency symbols are safe for display
  * Document algorithm used to sanitize paths
  * Allow symlinks ending in ".."
  * Test that symbolic links can end in '/'
  * Move path validation tests before charset tests
  * Document the pretty-printer in the code generator
  * Avoid casting away const when not needed
  * Fix -Wmissing-declarations and -Wmissing-prototypes warnings
  * Avoid redundantly validating symbolic link names
  * Better error message for forbidden symbolic links
  * Allow disabling character set filtering
  * Improve symlink tests
  * Use for loop instead of do-while
  * Add flag to allow non-canonical symbolic links
  * Allow disabling symbolic link checking
  * Don't allow trailing slashes in paths being unpacked

  [ Marek Marczykowski-Górecki ]
  * ci: update tags
  * debian: bump required versions for libs
  * Do not redefine compiler flags that are up to build env to define

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Sat, 22 Jun 2024 11:53:42 +0200

## qubes-utils 4.2.17%2Bnoble1

=== debian/changelog ===
qubes-utils (4.2.17+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Sat, 22 Jun 2024 11:53:42 +0200

## qubes-utils 4.2.18%2Bdeb12u1

=== debian/changelog ===
qubes-utils (4.2.18+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Mon, 25 Nov 2024 13:31:55 +0100

qubes-utils (4.2.18) unstable; urgency=medium

  [ Rusty Bird ]
  * qubes-block: disable direct I/O for now

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Mon, 25 Nov 2024 13:31:55 +0100

## qubes-utils 4.2.18%2Bjammy1

=== kernel-modules/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 MAKEFLAGS ::= -rR
-CFLAGS ::= $(shell pkg-config --cflags --libs ext2fs com_err) \
-    -fstack-protector-all -O2 -D_FORITFY_SOURCE=2 -fwrapv \
+LDLIBS += $(shell pkg-config --libs ext2fs com_err)
+CFLAGS += $(shell pkg-config --cflags ext2fs com_err) \
+    -fstack-protector-all -O2 -fwrapv \
     -fno-delete-null-pointer-checks -fno-strict-aliasing -Wall -Wextra \
     -Werror=format-security -pedantic-errors -Wformat=2 -Wmaybe-uninitialized \
     -Wshadow -g3
@@ -8,7 +9,7 @@
 all: genfs
 
 genfs: genfs.c
-	gcc $(CFLAGS) genfs.c -o $@
+	gcc $(CFLAGS) genfs.c $(LDLIBS) -o $@
 
 install: install-scripts install-genfs

=== debian/changelog ===
qubes-utils (4.2.18+jammy1) jammy; urgency=medium

  * Build for jammy

 -- Builder <user@localhost>  Mon, 25 Nov 2024 13:31:55 +0100

## qubes-utils 4.2.18%2Bnoble1

=== debian/changelog ===
qubes-utils (4.2.18+noble1) noble; urgency=medium

  * Build for noble

 -- Builder <user@localhost>  Mon, 25 Nov 2024 13:31:55 +0100

## qubes-utils 4.2.19%2Bdeb12u1

=== debian/changelog ===
qubes-utils (4.2.19+deb12u1) bookworm; urgency=medium

  * Build for bookworm

 -- Builder <user@localhost>  Wed, 25 Dec 2024 05:13:08 +0100

qubes-utils (4.2.19) unstable; urgency=medium

  [ Marek Marczykowski-Górecki ]
  * tests: assertEquals -> assertEqual

  [ Demi Marie Obenour ]
  * Ensure that qubesdb SELinux labels are correct on Fedora 41

  [ Marek Marczykowski-Górecki ]
  * rpm: adjust SELinux snippets for relabeling

 -- Marek Marczykowski-Górecki <marmarek@invisiblethingslab.com>  Wed, 25 Dec 2024 05:13:08 +0100

## qubes-utils 4.2.19%2Bdeb13u1

=== debian/changelog ===
qubes-utils (4.2.19+deb13u1) trixie; urgency=medium

  * Build for trixie

 -- Builder <user@localhost>  Wed, 25 Dec 2024 05:13:08 +0100
